<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS name="ClassNormalisation"    package="performa.orm">
        <IMPORT value="performa.orm.types.*"/>
                
        <TABLE  name="tl_class_norm"    tablePrefix="object"    polymorphic="FALSE">
            
            <ATTRIB name="FactorClass"          type="FactorClass"  dbcol="class_code"  attribHelper="EnumeratedAttributeHelper"    />
            <ATTRIB name="MeanScore"            type="Double"       dbcol="mean_score"/>
            <ATTRIB name="MaxScore"             type="Double"       dbcol="max_score"/>
            <ATTRIB name="MinScore"             type="Double"       dbcol="min_score"/>
            <ATTRIB name="StddevScore"          type="Double"       dbcol="stddev_score"/>
            <ATTRIB name="LeftMeanScore"        type="Double"       dbcol="left_mean_score"/>
            <ATTRIB name="RightMeanScore"       type="Double"       dbcol="right_mean_score"/>
            <ATTRIB name="WghtMeanScore"        type="Double"       dbcol="wght_mean_score"/>
            <ATTRIB name="WghtStddevScore"      type="Double"       dbcol="wght_stddev_score"/>
            <ATTRIB name="WghtLeftMeanScore"    type="Double"       dbcol="wght_left_mean_score"/>
            <ATTRIB name="WghtRightMeanScore"   type="Double"       dbcol="wght_right_mean_score"/>
            
            <SINGLEREFERENCE    name="Level"    type="Level"    dbcol="level_number"    backreferenceName="ClassNormalisations"/>
        </TABLE>
                
        <SEARCH type="All"  paramFilter="tl_class_norm.object_id is not null" orderBy="tl_class_norm.object_id" />
        
    </BUSINESSCLASS>
    
</ROOT>